Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.terminal
Class BasicTerminal

    java.lang.Object
      com.sshtools.daemon.terminal.BasicTerminal

All Implemented Interfaces:
  Terminal

Direct Known Subclasses:
  ansi, vt100, xterm

public abstract class BasicTerminal
extends java.lang.Object
implements Terminal

DOCUMENT ME!

Field Summary
`protected Colorizer` | `myColorizer` DOCUMENT ME!

Fields inherited from interface com.sshtools.daemon.terminal.Terminal
`A, B, BS, C, CAN, D, DEL, E, EOT, ESC, f, FF, H, HT, LE, LSB, r, SE, SEMICOLON, SGR`

Constructor Summary
`BasicTerminal()` Creates a new BasicTerminal object.

Method Summary
`java.lang.String` | `format(java.lang.String str)` DOCUMENT ME!
`int` | `getAtomicSequenceLength()` DOCUMENT ME!
`byte[]` | `getCursorMoveSequence(int direction, int times)` DOCUMENT ME!
`byte[]` | `getCursorPositioningSequence(int[] pos)` DOCUMENT ME!
`byte[]` | `getEraseSequence(int eraseFunc)` DOCUMENT ME!
`byte[]` | `getGRSequence(int type, int param)` DOCUMENT ME!
`byte[]` | `getInitSequence()` DOCUMENT ME!
`byte[]` | `getScrollMarginsSequence(int topmargin, int bottommargin)` DOCUMENT ME!
`byte[]` | `getSpecialSequence(int function)` DOCUMENT ME!
`abstract boolean` | `supportsScrolling()` DOCUMENT ME!
`abstract boolean` | `supportsSGR()` DOCUMENT ME!
`int` | `translateControlCharacter(int c)` DOCUMENT ME!
`int` | `translateEscapeSequence(int[] buffer)` DOCUMENT ME!
`byte[]` | `translateIntToDigitCodes(int in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sshtools.daemon.terminal.Terminal
`getName`

Field Detail

### myColorizer

    protected Colorizer myColorizer

  DOCUMENT ME!

Constructor Detail

### BasicTerminal

    public BasicTerminal()

  Creates a new BasicTerminal object.

Method Detail

### translateControlCharacter

    public int translateControlCharacter(int c)

  Description copied from interface: `Terminal`
  DOCUMENT ME!

  Specified by:
    `translateControlCharacter` in interface `Terminal`
  Parameters:
    `c` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### translateEscapeSequence

    public int translateEscapeSequence(int[] buffer)

  Description copied from interface: `Terminal`
  DOCUMENT ME!

  Specified by:
    `translateEscapeSequence` in interface `Terminal`
  Parameters:
    `buffer` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getCursorMoveSequence

    public byte[] getCursorMoveSequence(int direction,
                                        int times)

  Description copied from interface: `Terminal`
  DOCUMENT ME!

  Specified by:
    `getCursorMoveSequence` in interface `Terminal`
  Parameters:
    `direction` - DOCUMENT ME!
    `times` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getCursorPositioningSequence

    public byte[] getCursorPositioningSequence(int[] pos)

  Description copied from interface: `Terminal`
  DOCUMENT ME!

  Specified by:
    `getCursorPositioningSequence` in interface `Terminal`
  Parameters:
    `pos` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getEraseSequence

    public byte[] getEraseSequence(int eraseFunc)

  Description copied from interface: `Terminal`
  DOCUMENT ME!

  Specified by:
    `getEraseSequence` in interface `Terminal`
  Parameters:
    `eraseFunc` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getSpecialSequence

    public byte[] getSpecialSequence(int function)

  Description copied from interface: `Terminal`
  DOCUMENT ME!

  Specified by:
    `getSpecialSequence` in interface `Terminal`
  Parameters:
    `function` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getGRSequence

    public byte[] getGRSequence(int type,
                                int param)

  Description copied from interface: `Terminal`
  DOCUMENT ME!

  Specified by:
    `getGRSequence` in interface `Terminal`
  Parameters:
    `type` - DOCUMENT ME!
    `param` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getScrollMarginsSequence

    public byte[] getScrollMarginsSequence(int topmargin,
                                           int bottommargin)

  Description copied from interface: `Terminal`
  DOCUMENT ME!

  Specified by:
    `getScrollMarginsSequence` in interface `Terminal`
  Parameters:
    `topmargin` - DOCUMENT ME!
    `bottommargin` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### format

    public java.lang.String format(java.lang.String str)

  Description copied from interface: `Terminal`
  DOCUMENT ME!

  Specified by:
    `format` in interface `Terminal`
  Parameters:
    `str` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getInitSequence

    public byte[] getInitSequence()

  Description copied from interface: `Terminal`
  DOCUMENT ME!

  Specified by:
    `getInitSequence` in interface `Terminal`
  Returns:
    DOCUMENT ME!

### getAtomicSequenceLength

    public int getAtomicSequenceLength()

  Description copied from interface: `Terminal`
  DOCUMENT ME!

  Specified by:
    `getAtomicSequenceLength` in interface `Terminal`
  Returns:
    DOCUMENT ME!

### translateIntToDigitCodes

    public byte[] translateIntToDigitCodes(int in)

### supportsSGR

    public abstract boolean supportsSGR()

  Description copied from interface: `Terminal`
  DOCUMENT ME!

  Specified by:
    `supportsSGR` in interface `Terminal`
  Returns:
    DOCUMENT ME!

### supportsScrolling

    public abstract boolean supportsScrolling()

  DOCUMENT ME!

  Specified by:
    `supportsScrolling` in interface `Terminal`
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD